Subject: (urth) Urth Lune interchangeability

From: Lisa Schaffer-Doggett <harlekin at earthlink.net>
Date: Sat, 16 Aug 2003 09:21:32 +0000

I love dredging up this subject:

A while back Crush (I think) brought up the fact that according to 
Graves, Gaia and Trivigante are the same.  They shift their aspect from 
one to the other.  Gaia (Earth, Urth) becomes Trivigante (moon, Lune).  
Considering the fact that GW gives uses the word Trivigaunte quite 
prominently in Long Sun, it is not a long stretch to assume that he is 
familiar with this symbolism.  I think it's one more reason to believe 
that Green could be Urth/Ushas and Blue Lune.

One other thing that I can't seem to fit in anywhere else:  If Green is 
such a hellish place, why does Sinew fix a lander and send Chenille to 
Blue and not leave himself and take his children and village with him?

Don

--